diff makeAll.sh @ 181:6a0bdabfb255

Add a A4 portrait book with multiple tunes per page. Also add a script to make all variants of a single book, and look for <tune name>.tex files, and if one exists add it after the tune.
author Jim Hague <jim.hague@acm.org>
date Sat, 26 Jan 2013 13:47:01 +0000
parents
children 8261dc4d0d0b
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/makeAll.sh	Sat Jan 26 13:47:01 2013 +0000
@@ -0,0 +1,21 @@
+#!/bin/bash
+#
+# Build all forms of the Booke.
+
+if [ $# != 1 ]; then
+    echo "Usage: makeAll.sh <book dir name>"
+    exit 1
+fi
+
+makeABooke()
+{
+    ./makeGraphics.sh $1
+    ./makeBookeA5.sh $1
+    ./makeBookeA4.sh $1
+    ./makeWebItems.sh $1
+    ./makeWeb.sh $1
+}
+
+makeABooke $1
+./makeCello.sh $1
+make ABooke $1-Morris